import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import NewscoutTextLogo from '../../atoms/Logo/NewscoutTextLogo'
import colors from '../../../constants/colors'
import { moderateScale } from '../../../constants/metrics'
import Header from '../../atoms/Header/Header'


const NewscoutTextHeader = props => {

    const {
        navigation, 
        route,
        children,
        headerStyle
    }= props
    
  
    const styles = StyleSheet.create({
      headerLogo: {
        height: moderateScale(32),
        width: moderateScale(32)
      },
      header:{
        backgroundColor: colors().dominant,
        alignItems: 'center'
      }
    })
  
    return (
      <Header headerStyle={[styles.header,headerStyle]}
        backIconTextComponent={<NewscoutTextLogo style={styles.headerLogo} />}
      >
        
  
        {children}
      </Header>
    )
}

export default NewscoutTextHeader
